Bug 654895 - Clearly expose RF kill switch state in NetworkManager GUI
Summary: Clearly expose RF kill switch state in NetworkManager GUI
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-18 23:19 UTC by Christopher Beland
Modified: 2012-08-16 17:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 17:57:07 UTC
Type: ---


Attachments (Terms of Use)

Description Christopher Beland 2010-11-18 23:19:51 UTC
My laptop has a hardware kill switch for the wireless system.  It would be nice if in the NetworkManager applet instead of saying "wireless is disabled" on the left-click menu it said "wireless disabled by hardware switch".  It might be useful to say the same thing instead of just greying out the "Enable Wireless" option on the right-click menu.

When I first got this laptop, I didn't know it *had* such a kill switch, and it wasn't until after I filed a bug that I figured out that I had to press what looks more like an indicator light than a button to enable my wireless.

rfkill can definitely tell the difference between being switched off and not being present in the first place or having driver problems:

% rfkill list
0: hp-wwan: Wireless WAN
	Soft blocked: no
	Hard blocked: no
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: yes

The "yes" turns to "no" when I press the button.

NetworkManager-0.8.1-10.git20100831.fc14.x86_64

Comment 1 Dan Williams 2011-04-22 20:07:12 UTC
When this issue occurs, can you post the output of "nmcli nm" for me?  This also should be the case already, the menu will say what you describe if NM thinks the WWAN hardware switch is disabled.  Try latest NM updates in F14 updates-testing and see if that fixes your problem.

https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-1.fc14

Comment 2 Pavel Šimerda (pavlix) 2011-07-01 22:12:00 UTC
I'm using NM on Fedora 15 (Gnome 3).

AFAIK the UI should express the impossibility of turning the wireless on more clearly.

Expected result:

There should be three states of wireless network adapter in NM applet:

1) On
2) Off (ready to be turned on by mouse click)
3) Unavailable (possibly with a warning that there is a rfkill switch somewhere)

Actual result:

There's no visible difference (when I click the NM icon) between Off and Unavailable.

Comment 3 Fedora End Of Life 2012-08-16 17:57:09 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.